@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,400;0,700;0,800;1,400&display=swap');

html {
  height: 100%;
}

body {
  display: flex;
  min-height: 100%;
  background: #F0F0F0 !important;
}

body>div,
.root-panel {
  width: 100%;
  background: #fff;
}

.fonts {
  font-family: 'Open Sans', sans-serif !important;
}

.margined {
  margin: 5px;
}

input::placeholder {
  color: #999 !important;
}

div#p-header {
  background: white;
  margin-bottom: 10px !important;
  position: sticky;
  top: 0;
  z-index: 100 !important;
  border-bottom: 1px solid #CCCCCC;
  min-height: 80px;
  height: 80px;
  padding: 0;
}

[data-cy*=asf-assessment] {
  max-width: 640px;
}

.no-border {
  border: none !important;
}

table.uk-table-hover>tbody>tr:hover {
  background: rgba(30, 135, 240, .3);
}

.uk-table>thead td .uk-Ñr-pointer .uk-icon {
  display: none;
}

button#logout {
  margin-left: 30px !important;
  height: 100%;
}

.experience-menu-button {
  font-size: 18px !important;
  font-weight: 400 !important;
  border: none;
  border-bottom: 2px solid transparent;
  background: transparent;
  height: 50px;
  padding: 0 10px !important;
  margin: 0 !important;
  margin-right: 30px !important;
  transition: 0.3s ease-out 0s;
}

.experience-menu-button.active,
.experience-menu-button.uk-button-primary,
.experience-menu-button:hover {
  color: #489df3 !important;
  border: none !important;
  background: transparent;
  border-bottom: 2px solid #489df3 !important;
}

.experience-menu-button.button-dropdown::after {
  content: '';
  display: block;
  width: 20px;
  height: 100%;
  margin-left: 10px;
  padding: 0;
  transition: 0.3s ease-out 0s;
  background: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiBkYXRhLXN2Zz0iY2hldnJvbi1kb3duIj48cG9seWxpbmUgZmlsbD0ibm9uZSIgc3Ryb2tlPSIjMDAwIiBzdHJva2Utd2lkdGg9IjEuMDMiIHBvaW50cz0iMTYgNyAxMCAxMyA0IDciPjwvcG9seWxpbmU+PC9zdmc+Cg==') center no-repeat;
}


.experience-menu-button.button-dropdown:hover::after {
  background: url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiBkYXRhLXN2Zz0iY2hldnJvbi1kb3duIj48cG9seWxpbmUgZmlsbD0ibm9uZSIgc3Ryb2tlPSIjNDg5ZGYzIiBzdHJva2Utd2lkdGg9IjEuMDMiIHBvaW50cz0iMTYgNyAxMCAxMyA0IDciPjwvcG9seWxpbmU+PC9zdmc+Cg==') center no-repeat;
}

#form-modal {
  z-index: 101 !important;
}

#form-modal .uk-modal-body {
  padding: 0 !important;
}

#button-print-report svg {
  width: 30px;
  height: 30px;
}

#panel-search span {
  pointer-events: auto;
  cursor: pointer;
}

#panel-search span._filter {
  color: red;
}

#panel-search span>svg {
  pointer-events: auto;
  transition: transform 0.3s ease-out 0s;
}

#panel-search span:hover svg {
  color: #489df3;
  transform: rotate(-180deg);
}

.resizeHelper:hover {
  background-color: #489df3 !important;
}

#button-back {
  margin-left: 100px;
}

#button-create-row,
#button-create-problem {
  background: #1E87F0;
  color: #fff !important;
}

.exp-context-menu {
  position: absolute;
  display: none;
  background-color: #fff;
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.2);
  padding: 10px 0;
  min-width: 200px;
  width: auto;
}

.exp-context-menu ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

.exp-context-menu ul li {
  margin: 0;
  padding: 0;
  background-color: #fff;
  display: block;
}

.exp-context-menu ul li a {
  color: #555;
  padding: 5px 10px;
}

.exp-context-menu ul li a:hover {
  background-color: rgb(255, 165, 0, 0.3);
}

.exp-context-menu ul .uk-disabled a {
  color: #dedede;
}

.settings_content {
  border: 1px solid #ccc;
  border-radius: 5px;
  margin: 0 20px 20px 0;
  padding: 0 20px 10px 20px;
  min-width: 300px;
}

.settings_title {
  margin-bottom: 20px;
  font-size: 20px;
  user-select: none;
  white-space: nowrap;
  overflow: hidden;
}

.settings_nav_button:not(:last-child) {
  margin-bottom: 10px;
}

.settings_nav_button {
  border: none;
}

.settings_nav_button:active,
.settings_nav_button:hover {
  border: none;
}

/*
  Notification box
*/
.uk-notification-top-center {
  max-width: 50%;
  background-color: rgba(255,255,255, 0.5);
}
.uk-notification-top-center .uk-notification-close {
  color: #fff !important;
}
.uk-notification-top-center .uk-notification-close:hover {
  color: #F0506E !important;
}
.uk-notification-top-center .uk-notification-message {
  padding: 20px 25px;
  color: #fff !important;
}
.uk-notification-top-center .uk-notification-message-primary {
  background-color: rgba(30, 135, 240, 0.8);
}
.uk-notification-top-center .uk-notification-message-success {
  background-color: rgba(17, 152, 46, 0.9);
}
.uk-notification-top-center .uk-notification-message-danger {
  background-color: rgba(208, 37, 37, 0.8);
}
.uk-notification-top-center .uk-notification-message-warning {
  background-color: rgba(208, 134, 0, 0.8);
}


.menu__icon {
  position: relative;
  z-index: 5 !important;
  width: 30px;
  height: 20px;
  min-height: 0 !important;
  min-width: 0 !important;
  cursor: pointer;
  transition: 0.3s ease 0s;
  margin-left: 20px;
}

.menu__icon:hover div,
.menu__icon:hover::before,
.menu__icon:hover::after {
  background-color: #489df3;
}

.menu__icon._active:hover::before,
.menu__icon._active:hover::after {
  background-color: #ef3f39;
}

.menu__icon div,
.menu__icon::before,
.menu__icon::after {
  position: absolute;
  left: 0;
  min-height: 0 !important;
  min-width: 0 !important;
  height: 10%;
  width: 100%;
  transition: all 0.3s ease 0s;
  background-color: #4b5256;
  margin: 0;
  padding: 0;
}

.menu__icon::before,
.menu__icon::after {
  content: "";
  display: block;
}

.menu__icon::before {
  top: 0;
}

.menu__icon::after {
  bottom: 0;
}

.menu__icon div {
  top: 50%;
  transform: scale(1) translate(0px, -50%);
}

.menu__icon._active div {
  transform: scale(0) translate(0px, -50%);
}

.menu__icon._active::before {
  top: 50%;
  transform: rotate(-45deg) translate(0px, -50%);
}

.menu__icon._active::after {
  bottom: 50%;
  transform: rotate(45deg) translate(0px, 50%);
}

.menu-container {
  display: none;
  position: fixed;
  top: 80px;
  left: 0;
  width: 100%;
  min-width: 0px;
  height: calc(100% - 80px);
  justify-content: left;
  opacity: 0;
  transition: 0.4s ease-in-out;
  background: rgba(0,0,0, 0.1);
  z-index: 10 !important;
}

.menu-container._open {
  opacity: 1;
}

.menu-container._open .menu-content {
  transform: translate(0, 0);
}

.menu-content {
  display: flex;
  position: absolute;
  max-width: 400px;
  min-width: 300px;
  width: 50%;
  height: 100%;
  top: 0px;
  left: 0;
  background: #fff;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
  justify-content: right;
  align-content: space-between;
  overflow: auto;
  transform: translate(-110%, 0);
  transition: 0.4s ease-in-out;
}

.menu-content>div {
  display: flex;
  flex-direction: column;
  width: 100%;
  align-content: flex-end;
  align-items: flex-end;
  margin: 20px 0;
}

.menu-button {
  width: 100%;
  margin: 0;
  border: none;
  justify-content: flex-start !important;
  padding: 0 30px;
  font-size: 16px;
  transition: 0.3s ease 0s;
  height: 55px;
}

.menu-button span {
  margin-right: 10px !important;
}

.menu-button.selected,
.menu-button:hover {
  background: #489df3;
  color: #fff !important;
  border: none;
}

.menu-content .sub-menu {
  justify-content: flex-start !important;
  width: 100%;
  border: none;
  font-size: 16px;
  cursor: default;
  padding: 0 30px;
  margin: 0;
  height: 55px;
}

.menu-content .sub-menu span {
  margin-right: 10px !important;
}

.menu-button.sub-button {
  padding-left: 60px;
  transition: 0.3s ease 0s;
}

.menu-button.sub-button::before {
  content: "";
  display: block;
  margin-right: 10px;
  width: 8px;
  height: 8px;
  background: #999;
  border-radius: 8px;
  transition: 0.3s ease 0s;
}

.menu-button.sub-button.selected,
.menu-button.sub-button:hover {
  padding-left: 38px;
}

.menu-button.sub-button.selected::before,
.menu-button.sub-button:hover.sub-button::before {
  background: #fff;
  width: 30px;
}

.lock {
  overflow: hidden;
}

.exp-menu-divider {
  width: 100%;
  border-bottom: 1px solid #ccc;
  height: 1px !important;
  min-height: 1px !important;
  margin: 5px 0 !important;
}

#profile-menu {
  display: none;
}

@media screen and (max-width:480px) {
  .p-header>div {
    justify-content: center;
  }

  .p-header>div * {
    margin: 5px !important;
  }

  #panel-breadcrumb {
    display: none;
  }
}

@media screen and (max-width:1160px) {
  #panel-menu button {
    margin: 5px !important;
  }

  .experience-menu-button {
    margin-right: 10px !important;
  }

  button#logout {
    margin-left: 10px !important;
  }

  #profile {
    display: none;
  }

  #profile-menu {
    display: flex;
  }

  .menu-content>div {
    margin: 0;
  }

  #search-input {
    min-width: 300px !important;
  }

  .uk-modal-title {
    font-size: 18px;
  }
}

@media screen and (max-width:986px) {
  #p-header {
    min-height: auto !important;
    height: 60px !important;
    position: fixed !important;
  }

  #p-container {
    margin-top: 60px;
    margin-bottom: 20px !important;
  }

  .menu-container {
    top: 60px;
    height: calc(100% - 60px);
  }

  #panel-action,
  #panel-actions {
    display: none;
  }

  #panel-filter {
    position: absolute;
    right: 10px;
    top: 120px;
  }

  #panel-filter button {
    font-size: 14px !important;
  }

  #panel-5 {
    justify-content: center;
    padding: 0 !important;
    height: 100px;
    align-content: baseline;
  }

  #panel-problem-actions {
    padding: 0 !important;
    position: relative;
    height: 90px;
  }

  #panel-problem-actions #panel-search {
    position: absolute;
    top: 0;
  }

  #panel-problem-actions #button-create-problem {
    position: absolute;
    right: 0;
    top: 45px;
    font-size: 14px !important;
    padding: 0 10px;
    height: 35px;
  }

  #panel-service-action #button-actions-row,
  #button-create-row {
    font-size: 14px !important;
    padding: 0 10px;
    height: 35px;
  }

  #panel-breadcrumb {
    position: absolute;
    top: 50px;
  }

  #panel-problem-actions #button-refresh {
    position: absolute;
    left: 0;
    top: 40px;
  }

  #panel-search,
  #panel-search>div {
    width: 100%;
  }

  #search-input {
    min-width: auto !important;
    width: 100%;
  }

  #button-container {
    position: fixed !important;
    right: 20px;
    top: 60px !important;
    padding: 0 !important;
  }

  #button-container button {
    width: 100% !important;
  }

  #form-container {
    padding: 10px !important;
    box-shadow: none !important;
    width: 100% !important;
    position: fixed;
    top: 110px;
    left: 0;
    right: 0;
    overflow: auto;
    height: calc(100% - 120px);
  }

  #button-back {
    margin-left: 50px;
  }

  #panel-actions2 {
    position: absolute;
    right: 0px;
    top: 45px;
  }

  #button-actions-row {
    line-height: 32px;
  }
}

@media screen and (max-width:800px) {
  .ui-dialog.ui-widget.ui-widget-content,
  .ns-basicChooserDialogContent,
  .ns-splitPanel.ns-basicChooserSplit {
    width: 100% !important;
  }
  .ns-leftSplitPanel, .ns-splitDivider {
    display: none;
  }
  .ns-basicChooserSearchInput {
    width: calc(100% - 18px) !important;
  }
  .ns-rightSplitPanel {
    width: calc(100% - 18px) !important;
    left: 0 !important;
    border: 1px solid #e2e2e2;
  }
  .ns-basicChooserSearchIcon {
    display: none;
  }
  .ns-basicChooserApplyButton {
    margin: 0 !important;
    position: absolute;
    bottom: 35px;
    right: 10px;
  }
}

@media screen and (max-width:780px) {
  #button-back {
    margin: 0px;
    position: fixed;
    top: 75px;
    left: 20px;
  }

  button#edit {
    text-indent: 1000px;
    width: 40px !important;
    background: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTE4LjU2MjUgNC41MTI1TDUuOTAwMDIgMTcuMTI1TDEuNzc1MDIgMTguNUwzLjI3NTAyIDE0LjM3NUwxNS45IDEuODVDMTYuNjM3NSAxLjExMjUgMTcuODI1IDEuMTEyNSAxOC41NjI1IDEuODVDMTkuMjg3NSAyLjU4NzUgMTkuMjg3NSAzLjc3NSAxOC41NjI1IDQuNTEyNVoiIHN0cm9rZT0iIzY2NjY2NiIvPgo8L3N2Zz4K") no-repeat right;
    position: absolute;
    right: -5px;
  }

  button#save {
    border-radius: 3px;
    height: 30px;
    position: absolute;
    top: 5px;
  }

  .settings_content {
    margin: 10px;
    min-width: auto;
    width: 100%;
  }
}

@media screen and (max-width:640px) {
  .menu-content {
    max-width: 100%;
  }

  .uk-modal-dialog {
    width: 100%;
  }
}

@media screen and (max-width:550px) {
  .menu-content {
    width: 60%;
  }
}

@media screen and (max-width:420px) {
  .menu-content {
    width: 100%;
  }
  #panel-menu{
    display: none;
  }
}
